Bug 191621 - [PATCH] net-p2p/rtorrent: update to 0.9.4
Summary: [PATCH] net-p2p/rtorrent: update to 0.9.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-05 04:19 UTC by Danny
Modified: 2014-07-10 16:35 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Danny 2014-07-05 04:19:54 UTC
Update rtorrent[-devel], libtorrent[-devel] to latest version.

Buildlog:
http://redports.org/buildarchive/20140705025501-5837/
http://redports.org/buildarchive/20140705032248-39522/

Patches:
http://redports.org/browser/colin/net-p2p
Comment 1 commit-hook freebsd_committer 2014-07-07 19:33:23 UTC
A commit references this bug:

Author: madpilot
Date: Mon Jul  7 19:33:02 UTC 2014
New revision: 361124
URL: http://svnweb.freebsd.org/changeset/ports/361124

Log:
  - Update libtorrent to 0.13.4
  - Update rtorrent to 0.9.4
  - Convert to new LIB_DEPENDS format
  - Remove uneeded ?=
  - Remove libtorrent-devel and rtorrent-devel ports since the non
    devel port has a newer version and no development release is available
    anymore

  PR:		191621
  Submitted by:	Colin <anonymous.bug.report@gmail.com>

Changes:
  head/MOVED
  head/net-p2p/Makefile
  head/net-p2p/libtorrent/Makefile
  head/net-p2p/libtorrent/distinfo
  head/net-p2p/libtorrent/files/extra-clang
  head/net-p2p/libtorrent/files/patch-src__torrent__connection_manager.h
  head/net-p2p/libtorrent/files/patch-src_torrent_connection__manager.h
  head/net-p2p/libtorrent/files/patch-src_torrent_utils_log.cc
  head/net-p2p/libtorrent/files/patch-src_torrent_utils_log.h
  head/net-p2p/libtorrent/files/patch-src_torrent_utils_thread__base.cc
  head/net-p2p/libtorrent/pkg-plist
  head/net-p2p/libtorrent-devel/
  head/net-p2p/rtorrent/Makefile
  head/net-p2p/rtorrent/distinfo
  head/net-p2p/rtorrent-devel/
Comment 2 Guido Falsi freebsd_committer 2014-07-07 19:33:50 UTC
Committed, with minor changes.

Thanks!
Comment 3 Andre 2014-07-09 18:59:40 UTC
Since this update you can now drop the libsig++ dependency on libtorrent, see the announcement.
Tested locally, removed the libsig++ package, rtorrent still working.

Thanks for the update guys.
Comment 4 Guido Falsi freebsd_committer 2014-07-09 21:31:37 UTC
Reopen to track new information.

Thanks!
Comment 5 Guido Falsi freebsd_committer 2014-07-10 16:34:44 UTC
Dependency removed. Thanks!
Comment 6 commit-hook freebsd_committer 2014-07-10 16:35:01 UTC
A commit references this bug:

Author: madpilot
Date: Thu Jul 10 16:34:19 UTC 2014
New revision: 361474
URL: http://svnweb.freebsd.org/changeset/ports/361474

Log:
  - Remove uneeded dependency from libtorrent [1]
  - Update dependency lines in rtorrent

  PR:		191621
  Submitted by:	Colin <anonymous.bug.report@gmail.com> (original submitter)
  Reported By:	Andre <a.heider@gmail.com> [1] (as followup comment)

Changes:
  head/net-p2p/libtorrent/Makefile
  head/net-p2p/rtorrent/Makefile